{
  "_from": "file-entry-cache@^6.0.1",
  "_id": "file-entry-cache@6.0.1",
  "_inBundle": false,
  "_integrity": "sha512-7Gps/XWymbLk2QLYK4NzpMOrYjMhdIxXuIvy2QBsLE6ljuodKvdkWs/cpyJJ3CVIVpH0Oi1Hvg1ovbMzLdFBBg==",
  "_location": "/file-entry-cache",
  "_phantomChildren": {},
  "_requested": {
    "type": "range",
    "registry": true,
    "raw": "file-entry-cache@^6.0.1",
    "name": "file-entry-cache",
    "escapedName": "file-entry-cache",
    "rawSpec": "^6.0.1",
    "saveSpec": null,
    "fetchSpec": "^6.0.1"
  },
  "_requiredBy": [
    "/eslint",
    "/stylelint"
  ],
  "_resolved": "https://nexus.boos.solutions/repository/gpb-npm/file-entry-cache/-/file-entry-cache-6.0.1.tgz",
  "_shasum": "211b2dd9659cb0394b073e7323ac3c933d522027",
  "_spec": "file-entry-cache@^6.0.1",
  "_where": "/root/farzoom/eco-ebg/node_modules/eslint",
  "author": {
    "name": "Roy Riojas",
    "url": "http://royriojas.com"
  },
  "bugs": {
    "url": "https://github.com/royriojas/file-entry-cache/issues"
  },
  "bundleDependencies": false,
  "changelogx": {
    "ignoreRegExp": [
      "BLD: Release",
      "DOC: Generate Changelog",
      "Generated Changelog"
    ],
    "issueIDRegExp": "#(\\d+)",
    "commitURL": "https://github.com/royriojas/file-entry-cache/commit/{0}",
    "authorURL": "https://github.com/{0}",
    "issueIDURL": "https://github.com/royriojas/file-entry-cache/issues/{0}",
    "projectName": "file-entry-cache"
  },
  "dependencies": {
    "flat-cache": "^3.0.4"
  },
  "deprecated": false,
  "description": "Super simple cache for file metadata, useful for process that work o a given series of files and that only need to repeat the job on the changed ones since the previous run of the process",
  "devDependencies": {
    "chai": "^4.2.0",
    "changelogx": "^5.0.6",
    "del": "^6.0.0",
    "eslint": "^7.13.0",
    "eslint-config-prettier": "^6.15.0",
    "eslint-plugin-mocha": "^8.0.0",
    "eslint-plugin-prettier": "^3.1.4",
    "glob-expand": "^0.2.1",
    "istanbul": "^0.4.5",
    "mocha": "^8.2.1",
    "precommit": "^1.2.2",
    "prepush": "^3.1.11",
    "prettier": "^2.1.2",
    "watch-run": "^1.2.5",
    "write": "^2.0.0"
  },
  "engines": {
    "node": "^10.12.0 || >=12.0.0"
  },
  "files": [
    "cache.js"
  ],
  "homepage": "https://github.com/royriojas/file-entry-cache#readme",
  "keywords": [
    "file cache",
    "task cache files",
    "file cache",
    "key par",
    "key value",
    "cache"
  ],
  "license": "MIT",
  "main": "cache.js",
  "name": "file-entry-cache",
  "precommit": [
    "npm run eslint --silent"
  ],
  "prepush": [
    "npm run eslint --silent"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://github.com/royriojas/file-entry-cache.git"
  },
  "scripts": {
    "autofix": "npm run eslint -- --fix",
    "bump-major": "npm run pre-v && npm version major -m 'BLD: Release v%s' && npm run post-v",
    "bump-minor": "npm run pre-v && npm version minor -m 'BLD: Release v%s' && npm run post-v",
    "bump-patch": "npm run pre-v && npm version patch -m 'BLD: Release v%s' && npm run post-v",
    "changelog": "changelogx -f markdown -o ./changelog.md",
    "cover": "istanbul cover test/runner.js html text-summary",
    "do-changelog": "npm run changelog && git add ./changelog.md && git commit -m 'DOC: Generate changelog' --no-verify",
    "eslint": "eslint --cache --cache-location=node_modules/.cache/ 'cache.js' 'test/**/*.js' 'perf.js'",
    "install-hooks": "prepush install && changelogx install-hook && precommit install",
    "perf": "node perf.js",
    "post-v": "npm run do-changelog && git push --no-verify && git push --tags --no-verify",
    "pre-v": "npm run test",
    "test": "npm run eslint --silent && mocha -R spec test/specs",
    "watch": "watch-run -i -p 'test/specs/**/*.js' istanbul cover test/runner.js html text-summary"
  },
  "version": "6.0.1"
}
